# $Revision: 1.47 $, $Date: 2008/11/16 15:20:05 $
Summary:	SLang based pager
Summary(pl.UTF-8):	Pager bazujący na SLangu
Name:		most
Version:	5.0.0a
Release:	2
License:	GPL v2+
Group:		Applications/Text
Source0:	ftp://space.mit.edu/pub/davis/most/%{name}-%{version}.tar.bz2
# Source0-md5:	4c42abfc8d3ace1b0e0062ea021a5917
Patch0:		%{name}-autoconf.patch
URL:		http://www.jedsoft.org/most/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	sed >= 4.0
BuildRequires:	slang-devel >= 1.3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most is a pager (like less & more). Allows, amongst other, the viewing
of multiple files and on-the-fly uncompressing.

%description -l pl.UTF-8
Most jest pagerem (jak less czy more). Umożliwia tak jak inne programy
tego typu przeglądanie wielu plików jednocześnie i dekompresując także
pliki przed rozpoczęciem przeglądania.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's@%{_prefix}/lib@%{_prefix}/%{_lib}@' autoconf/aclocal.m4

%build
cp -f /usr/share/automake/config.* autoconf
cp -f autoconf/configure.ac .
cp -f autoconf/aclocal.m4 acinclude.m4
%{__aclocal}
%{__autoconf}
%configure \
	--disable-warnings

%{__make} \
	SYS_INITFILE=%{_sysconfdir}/most.conf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1,%{_datadir}/%{name}}

%{__make} install \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir} \
	DOC_DIR=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install lesskeys.rc $RPM_BUILD_ROOT%{_sysconfdir}/most.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *.rc *.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/most.conf
%attr(755,root,root) %{_bindir}/most
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: most.spec,v $
Revision 1.47  2008/11/16 15:20:05  glen
- move copying automake stuff back to %build -- needs satisfied BR (which %prep doesn't provide) -- read devel-hints-en.txt

Revision 1.46  2008/11/16 02:42:56  pawelz
- added patch1 (buildfix for autoconf >= 2.62)
- reverted autoconf BR
- removed TODO
- rel 2

Revision 1.45  2008/11/16 02:30:34  pawelz
- moved some commands from %%build to %%prep
- use sed not perl
- better polish Summary

Revision 1.44  2008/11/15 23:32:38  pawelz
- BR autoconf <= 2.61. Added TODO note.
- AC_CHECK_SIZEOF tests in `most' does not work with autoconf > 2.61.
- I have no idea how to fix it; help me please.

Revision 1.43  2007/09/11 16:54:26  qboosh
- updated to 5.0.0a

Revision 1.42  2007/05/20 16:51:09  blues
- rel.3

Revision 1.41  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.39  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.38  2005/09/16 09:10:55  arekm
- rel 2

Revision 1.37  2005/08/28 18:38:24  darekr
- BR: perl-base
- noreplace for %config, added %verify()

Revision 1.36  2005/08/01 12:16:12  blekot
- up to 4.10.2

Revision 1.35  2005/02/27 20:13:29  qboosh
- updated to 4.10.1

Revision 1.34  2004/12/28 09:06:28  blues
- release 3 - put manual in proper dir

Revision 1.33  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.32  2004/07/04 15:20:57  qboosh
- fixed build on amd64, release 2

Revision 1.31  2004/07/04 13:07:49  qboosh
- updated to 4.9.5 (important bug fixes)

Revision 1.30  2003/11/23 04:57:14  speedy
- new URL
- for AC

Revision 1.29  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/01 22:41:01  qboosh
- updated to 4.9.4, removed obsolete ac_fixes patch

Revision 1.26  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/05/21 23:14:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.21  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/08/27 19:25:27  kloczek
- updated to 0.9.2,
- added ac_fixes and added regenerate ac files (spec is ac 2.5x ready).

Revision 1.19  2001/06/25 07:31:36  kloczek
- bump release to 4.

Revision 1.18  2000/10/18 21:25:58  kloczek
- release 3: use new rpm automation.

Revision 1.17  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.14  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.13  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 25 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [4.9.0-2]
- based on RH spec,
- spec rewrited by PLD team.
